Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google      Sign In   
  • Create Account

Porter

Port Information

  • Submitted: Jan 29 2017 02:05 AM
  • Last Updated: Jan 29 2017 04:47 AM
  • Views: 770
  • Downloads: 64

Wrapper Type & Video Card Compatibility

  • Wrapper Type: Wineskin
  • Wine Version: 2.0 Staging

Wrapper Type Info

Note:
Wrappers have different Mac OS X compatibility!

Wineskin:   10.610.710.810.9
Cider:          10.610.710.810.9
CXZ/CXEx:  10.610.710.810.9

What is WINE & what is a Wrapper?

Video Card Info

 GREY          = not tested
 GREEN        = fully playable
 YELLOW     = playable with minor glitches
 ORANGE     = playable with some effort
 RED             = severe glitches / unplayable

This file has been reported as broken because: File Download gone...


Download this App .NET Framework 32/64bit (2.0 & 4.6) 1.1

- - - - - Please vote for the Quality of this Port / Wrapper, not for the Game or Application!




Screenshots
Description: wikipedia

.NET Framework (pronounced dot net) is a software framework developed by Microsoft that runs primarily on Microsoft Windows. It includes a large class library known as Framework Class Library (FCL) and provides language interoperability (each language can use code written in other languages) across several programming languages. Programs written for .NET Framework execute in a software environment (in contrast to a hardware environment) known as Common Language Runtime (CLR), an application virtual machine that provides services such as security, memory management, and exception handling. (As such, computer code written using .NET Framework is called "managed code".) FCL and CLR together constitute .NET Framework.

Personal Notes:
Many application require .NET. However it was not available in wine64 until now.

My System Specs:
- OS: macOS 10.12.3
- CPU: Core i5 2,5 GHz
- RAM: 8 GB
- Video:    Intel HD4000 & GTX 750Ti (externally)
- Disk Space:   ~ 2,4 GB (Download ~ 420 MB)

Known Issues:
- While many windows executable require .NET 4.0 64bit, this does not mean that they run within this wrapper, as they may have other requirements.
- .NET versions 3.0 - 3.5 are not yet installed due to wine64 incompatibility
- .NET versions newer than 4.6 are not installed (yet)

Installation:
- Download
- Extract (self-extracting, if it does not work from ~/Downloads drag it to your desktop))
- Launch while holding cmd-key
( -  Install your applications dependencies like vcrun - if winetricks does not provide 64bit variants install manually)
- Install 32/64bit windows executable requiring .NET
- Launch while holding cmd-key again
- Select the newly installed exe file as the wrappers main executable and quit Wineskin
- Launch as if it was an ordinary Mac.app

What's New in Version 1.1 (See full changelog)

  • 1.1
  • - updated .NET (added 4.5.2 & 4.6)
  • - .NET version Detecter included (C:\Program Files (x86)\dotnet.exe)
  • 1.0
  • - initial release (2.0 & 4.0-4.5.1)


Screenshots

Screenshots


I never knew about the Command-Key shortcut... I am such an idiot...



25 user(s) are online (in the past 15 minutes)

1 members, 22 guests, 0 anonymous users


Yahoo, Google, Jacob_Onotsky